import request from '@/utils/request'

// 查询条码信息列表
export function listBarcode(query) {
  return request({
    url: '/mes/barcode/list',
    method: 'get',
    params: query
  })
}

// 查询条码信息详细
export function getBarcode(barcodeId) {
  return request({
    url: '/mes/barcode/' + barcodeId,
    method: 'get'
  })
}

// 新增条码信息
export function addBarcode(data) {
  return request({
    url: '/mes/barcode',
    method: 'post',
    data: data
  })
}

// 修改条码信息
export function updateBarcode(data) {
  return request({
    url: '/mes/barcode',
    method: 'put',
    data: data
  })
}

// 删除条码信息
export function delBarcode(barcodeId) {
  return request({
    url: '/mes/barcode/' + barcodeId,
    method: 'delete'
  })
}

// 打印条码
export function printBarCode(barcodeId) {
  return request({
    url: '/mes/barcode/printBarCode/' + barcodeId,
    method: 'get'
  })
}
